summaryrefslogtreecommitdiff
path: root/dev-python/doit-py
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/doit-py
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/doit-py')
-rw-r--r--dev-python/doit-py/Manifest1
-rw-r--r--dev-python/doit-py/doit-py-0.4.0-r1.ebuild37
-rw-r--r--dev-python/doit-py/doit-py-0.4.0-r2.ebuild27
-rw-r--r--dev-python/doit-py/doit-py-0.4.0.ebuild41
-rw-r--r--dev-python/doit-py/metadata.xml17
5 files changed, 123 insertions, 0 deletions
diff --git a/dev-python/doit-py/Manifest b/dev-python/doit-py/Manifest
new file mode 100644
index 000000000000..05815b70aeeb
--- /dev/null
+++ b/dev-python/doit-py/Manifest
@@ -0,0 +1 @@
+DIST doit-py-0.4.0.tar.gz 16534 BLAKE2B 390a7ac17efc1938176ff6aad8fd404b8a0155e82dd2f346cd416d0357cc888e1b3e84dd9ddb19260bc9ee463e013ae544032199967a6ace7d63840a178e0933 SHA512 72aa850928c99bf43eefd827334b361243da3b26283fa358ed3f7fba72d1916b1cbe50e581d3d62ed3b4f0efb9b5d1e7f59c3dc913b2ee27e6503bf4e47def33
diff --git a/dev-python/doit-py/doit-py-0.4.0-r1.ebuild b/dev-python/doit-py/doit-py-0.4.0-r1.ebuild
new file mode 100644
index 000000000000..a23ebb2f495a
--- /dev/null
+++ b/dev-python/doit-py/doit-py-0.4.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_6 )
+
+inherit distutils-r1
+
+DESCRIPTION="doit tasks for python stuff"
+HOMEPAGE="https://pythonhosted.org/doit-py/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? (
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ app-text/hunspell )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+RDEPEND="
+ dev-python/doit[${PYTHON_USEDEP}]
+ dev-python/configclass[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/_build/html/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/doit-py/doit-py-0.4.0-r2.ebuild b/dev-python/doit-py/doit-py-0.4.0-r2.ebuild
new file mode 100644
index 000000000000..94b95b479f33
--- /dev/null
+++ b/dev-python/doit-py/doit-py-0.4.0-r2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="doit tasks for python stuff"
+HOMEPAGE="https://pythonhosted.org/doit-py/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ test? (
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ app-text/hunspell
+ )"
+RDEPEND="
+ dev-python/configclass[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
diff --git a/dev-python/doit-py/doit-py-0.4.0.ebuild b/dev-python/doit-py/doit-py-0.4.0.ebuild
new file mode 100644
index 000000000000..fae2a43f880d
--- /dev/null
+++ b/dev-python/doit-py/doit-py-0.4.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python3_6 )
+
+inherit distutils-r1
+
+DESCRIPTION="doit tasks for python stuff"
+HOMEPAGE="https://pythonhosted.org/doit-py/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ app-text/hunspell )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+RDEPEND="
+ dev-python/doit[${PYTHON_USEDEP}]
+ dev-python/configclass[${PYTHON_USEDEP}]"
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
+
+python_test() {
+ py.test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/_build/html/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/doit-py/metadata.xml b/dev-python/doit-py/metadata.xml
new file mode 100644
index 000000000000..5731108b00fb
--- /dev/null
+++ b/dev-python/doit-py/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>azamat.hackimov@gmail.com</email>
+ <name>Azamat H. Hackimov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">pydoit/doit-py</remote-id>
+ <remote-id type="pypi">doit-py</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>